<div class="page" data-ng-controller="CustomersController as vm">
    <div class="row">
        <div class="col-xs-6">
            <h2 class="section-header" style="margin: 0;"><span data-translate="CUSTOMERS"></span></h2>
        </div>
    </div>

    <div class="divider divider-md"></div>

    <div class="row col-md-12" uib-collapse="isCollapsed" ng-include="'events/customers/editCustomer.html'"></div>

    <div class="row col-md-12">
        <div>
            <table class="table table-responsive no-margin table-hover">
                <thead>
                    <tr>
                        <th style="width: 50%;"> Nome </th>
                        <th style="width: 25%;" class="mobile-col-hide-md"> Tipo </th>
                        <th style="width: 10%;" class="mobile-col-hide"> E-mail </th>
                        <th style="width: 5%;"  class="mobile-col-hide"> Telefone </th>
                        <th style="width: 5%;"  class="tablet-col-hide"> Nascimento </th>
                        <th style="width: 5%;"  class="tablet-col-hide-md"> Infos </th>
                        <th style="width: 5%;"> </th>
                    </tr>
                </thead>
                <tbody ng-repeat="customer in vm.eventInfo.customers">
                    <tr>
                        <td> {{ customer.name }} {{ customer.lastName }} </td>
                        <td class="mobile-col-hide-md">  {{ customer.role }} </td>
                        <td>
                            <md-button class="md-icon-button edit mobile-col-hide"
                                       aria-label="Enviar e-mail."
                                       tooltip-placement="right"
                                       tooltip-class="customClass"
                                       uib-tooltip="Enviar e-mail para seu Cliente."
                                       tooltip-append-to-body="true"
                                       tooltip-class="customClass"
                                       style="text-align: center"
                                       ng-click="vm.sendEmail(customer)">
                                <span>
                                    <i ng-if="!customer.email" style="color: #d8d8d8" class="fa fa-envelope"></i>
                                    <i ng-if="customer.email" class="fa fa-envelope"></i>
                                </span>
                            </md-button>
                        </td>
                        <td class="mobile-col-hide"
                            tooltip-placement="right"
                            tooltip-class="customClass" uib-tooltip="{{ customer.phone | brPhoneNumber }}"
                            tooltip-append-to-body="true"
                            tooltip-class="customClass"
                            style="text-align: center">
                            <a href="tel:{{ customer.phone  }}">
                                <i class="zmdi zmdi-phone zmdi-hc-2x"></i>
                            </a>
                        </td>
                        <td class="tablet-col-hide"> {{ customer.birthDay | date: "dd/MM/yyyy" }} </td>
                        <td tooltip-placement="left"
                            tooltip-class="customClass" uib-tooltip="{{ customer.info }}"
                            tooltip-append-to-body="true"
                            tooltip-class="customClass"
                            style="text-align: center"
                            class="tablet-col-hide-md">
                            <i ng-if="!customer.info" style="color: #d8d8d8" class="fa fa-2x fa-info"></i>
                            <i ng-if="customer.info" class="fa fa-2x fa-info"></i>
                        </td>
                        <td>
                            <section class="pull-right" layout="row" layout-align="center center">
                                <md-button class="md-icon-button edit"
                                           aria-label="Editar Cliente."
                                           ng-click="vm.customerEdit(customer)">
                                    <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                                </md-button>
                            </section>
                        </td>
                    </tr>
                    <tr class="mobile-row-show">
                        <td colspan="2" style="border-top-color: #9e9e9e17;" ng-hide="!customer.email && !customer.phone"> {{ customer.email }} - {{ customer.phone | brPhoneNumber }}  </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>